# server event

Server event are event record for server operations. They consist of: type (create, delete, reboot and so on), result (success, error), start time, finish time and so on. These are important for server maintenance.

Compute v2

## server event list

List recent events of a server.

Specify `--os-compute-api-version 2.21` or higher to show events for a deleted server, specified by ID only.

    openstack server event list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--long]
        [--changes-since <changes-since>]
        [--changes-before <changes-before>]
        [--limit <limit>]
        [--marker <marker>]
        <server>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

--changes-since <changes-since>

  List only server events changed later or equal to a certain point of time. The provided time should be an ISO 8061 formatted time, e.g. `2016-03-04T06:27:59Z`. (supported with –os-compute-api-version 2.58 or above)

--changes-before <changes-before>

  List only server events changed earlier or equal to a certain point of time. The provided time should be an ISO 8061 formatted time, e.g. `2016-03-04T06:27:59Z`. (supported with –os-compute-api-version 2.66 or above)

--limit <limit>

  The maximum number of entries to return. If the value exceeds the server-defined maximum, then the maximum value will be used.

--marker <marker>

  The first position in the collection to return results from. This should be a value that was returned in a previous request.

server

  Server to list events (name or ID)

## server event show

Show server event details.

Specify `--os-compute-api-version 2.21` or higher to show event details for a deleted server, specified by ID only. Specify `--os-compute-api-version 2.51` or higher to show event details for non-admin users.

    openstack server event show <server> <request-id>

server

  Server to show event details (name or ID)

request-id

  Request ID of the event to show (ID only)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.